Package javax.help

# Class TreeItem

java.lang.Object
javax.help.TreeItem

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FavoritesItem`, `IndexItem`, `TOCItem`

public class TreeItem extends Object implements Serializable
The base items known to TOC, Index and Favorites Navigators.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COLLAPSE`
Show the children of the node collapsed in the view
`static final int`
`DEFAULT_EXPANSION`
A state of expansion determined by the view
`static final int`
`EXPAND`
Show the children of the node expanded in the view
`protected Locale`
`locale`

## Constructor Summary

Constructors
Constructor
Description
`TreeItem()`
Creates an empty TreeItem.
`TreeItem(String name)`
Creates a TreeItem.
`TreeItem(Map.ID id, Locale locale)`
Creates a TreeItem.
`TreeItem(Map.ID id, HelpSet hs, Locale locale)`
Create an TreeItem.

## Method Summary

Modifier and Type
Method
Description
`int`
`getExpansionType()`
Returns the exansion type
`HelpSet`
`getHelpSet()`
Returns the HelpSet scoping this IndexItem.
`Map.ID`
`getID()`
Returns the ID for the item.
`Locale`
`getLocale()`
Returns the locale for the item.
`String`
`getMergeType()`
Returns the merge type for the item
`String`
`getName()`
Returns the name of the item.
`String`
`getPresentation()`
Returns the presentation
`String`
`getPresentationName()`
Returns the presentation name
`URL`
`getURL()`
Returns the URL for the item.
`void`
`setExpansionType(int type)`
Sets the expansion type
`void`
`setHelpSet(HelpSet hs)`
Set the HelpSet for this TreeItem.
`void`
`setID(Map.ID id)`
Set the ID for the item.
`void`
`setMergeType(String mergeType)`
Sets the merge type
`void`
`setName(String name)`
Sets the name of the item.
`void`
`setPresentation(String presentation)`
Sets the presentation
`void`
`setPresentationName(String presentationName)`
Sets the presentation name
`String`
`toString()`
Returns a String used when displaying the object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_EXPANSION

public static final int DEFAULT_EXPANSION
A state of expansion determined by the view

See Also:
  - Constant Field Values

### COLLAPSE

public static final int COLLAPSE
Show the children of the node collapsed in the view

See Also:
  - Constant Field Values

### EXPAND

public static final int EXPAND
Show the children of the node expanded in the view

See Also:
  - Constant Field Values

### locale

protected Locale locale

## Constructor Details

### TreeItem

public TreeItem(Map.ID id, HelpSet hs, Locale locale)
Create an TreeItem.

Parameters:
  `id` - ID for the item. The ID can be null.
  `hs` - A HelpSet scoping this item.
  `locale` - The locale for this item

### TreeItem

public TreeItem(Map.ID id, Locale locale)
Creates a TreeItem.

Parameters:
  `id` - ID for the item. Null is a valid ID.
  `The` - lang for this item. A null is valid and indicates the default locale.

### TreeItem

public TreeItem(String name)
Creates a TreeItem.

Parameters:
  `name` - The name for the item.

### TreeItem

public TreeItem()
Creates an empty TreeItem.

## Method Details

### setName

public void setName(String name)
Sets the name of the item.

### getName

public String getName()
Returns the name of the item.

### setID

public void setID(Map.ID id)
Set the ID for the item.

### getID

public Map.ID getID()
Returns the ID for the item.

### getURL

public URL getURL()
Returns the URL for the item.

### setHelpSet

public void setHelpSet(HelpSet hs)
Set the HelpSet for this TreeItem.

### getHelpSet

public HelpSet getHelpSet()
Returns the HelpSet scoping this IndexItem. Will return the ID HelpSet if one exists. Null otherwise

### getLocale

public Locale getLocale()
Returns the locale for the item.

### setMergeType

public void setMergeType(String mergeType)
Sets the merge type

### getMergeType

public String getMergeType()
Returns the merge type for the item

### setExpansionType

public void setExpansionType(int type)
Sets the expansion type

Throws:
  `IllegalArgumentException` - if not a valid type

### getExpansionType

public int getExpansionType()
Returns the exansion type

### setPresentation

public void setPresentation(String presentation)
Sets the presentation

See Also:
  - `Presentation`

### getPresentation

public String getPresentation()
Returns the presentation

See Also:
  - `Presentation`

### setPresentationName

public void setPresentationName(String presentationName)
Sets the presentation name

See Also:
  - `Presentation`

### getPresentationName

public String getPresentationName()
Returns the presentation name

See Also:
  - `Presentation`

### toString

public String toString()
Returns a String used when displaying the object. Used by CellRenderers.

Overrides:
  `toString` in class `Object`
See Also:
  - invalid reference

        TOCCellRenderer